Name:       ocsinventory-agent
Version:    2.0.5
Release:    %mkrel 2
Epoch:      1
Summary:    Unified client for OCS-Inventory
License:    GPLv2+
Group:      System/Servers
URL:        http://www.ocsinventory-ng.org/
Source0:    http://launchpad.net/ocsinventory-unix-agent/stable-2.0/%{version}/+download/Ocsinventory-Unix-Agent-%{version}.tar.gz
Requires:   net-tools
Requires:   pciutils
Requires:   nmap
Requires:   monitor-edid
Requires:   dmidecode 
Requires:   perl-Net-IP
Requires:   perl-Compress-Raw-Zlib
Requires:   perl-XML-Simple
Requires:   perl-Net-SSLeay
Requires:   perl-Digest-MD5
Requires:   perl-libwww-perl
Suggests:   perl-Net-CUPS
Suggests:   perl-Proc-Daemon
Suggests:   ipmitool

%description
Linux agent for ocs-inventory. Dialog between client computers and management
server is based on actual standards, HTTP protocol and XML data formatting.

%prep
%setup -q -n Ocsinventory-Unix-Agent-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -f run-postinst
%makeinstall_std

install -d %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/* %{buildroot}%{_sbindir}/

install -d -m 755 %{buildroot}%{_sysconfdir}/ocsinventory


cat <<EOF > %{buildroot}%{_sysconfdir}/ocsinventory/%{name}.cfg
# 
# OCS Inventory "Unix Unified Agent" Configuration File
#

# Server URL, unconmment if needed
# server = your.ocsserver.name
basevardir = %{_localstatedir}/lib/%{name}

# Administrative TAG (optional, must be filed before first inventory)
# tag = your_tag

# How to log, can be File,Stderr,Syslog
logger = File
logfile = %{_localstatedir}/log/%{name}/%{name}.log
EOF


install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily

cat > %{buildroot}%{_sysconfdir}/cron.daily/%{name}<<EOF
#!/bin/sh
%{_sbindir}/ocsinventory-agent --lazy > /dev/null 2>&1
EOF
chmod +x %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -d %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name}<<EOF
/var/log/%{name}/*.log {
    daily
    rotate 7
    compress
    notifempty
    missingok
}
EOF

install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_localstatedir}/log/%{name}

# cleanup
rm -f %{buildroot}%{perl_vendorlib}/Ocsinventory/postinst.pl
rm -rf %{buildroot}%{perl_vendorlib}/Ocsinventory/Agent/Backend/OS/Win32*


%files
%doc AUTHORS Changes LICENSE README THANKS
%{_sbindir}/%{name}
%{_sbindir}/ipdiscover
%{_mandir}/man1/%{name}.*
%{_mandir}/man3/Ocsinventory::Agent::XML::Inventory.3pm*
%{_mandir}/man3/Ocsinventory::Agent::Common.3pm*
%{perl_vendorlib}/Ocsinventory
%config(noreplace) %{_sysconfdir}/cron.daily/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/ocsinventory
%{_localstatedir}/log/%{name}
%{_localstatedir}/lib/%{name}


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:2.0.5-2.mga3
+ Revision: 361780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 21 2012 juancho <juancho> 1:2.0.5-1.mga3
+ Revision: 282808
- Updated to 2.0.5 and cleaned up the spec file (patch from apprentice bersuit).

* Wed Mar 07 2012 dams <dams> 1:2.0.4-1.mga2
+ Revision: 220693
- new version 2.0.4
- clean spec file
- remove patchs

* Sun Mar 06 2011 ennael <ennael> 1:1.1.2.1-2.mga1
+ Revision: 65406
- imported package ocsinventory-agent

